Xeonr Developer Docs
API SpecificationJobs

GetJob

POST
/containers.api.v1.JobService/GetJob

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

jobId?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://containers.xeonr.io/containers.api.v1.JobService/GetJob" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "job": {
    "jobId": "string",
    "namespace": "string",
    "environmentId": "string",
    "state": "JOB_STATE_UNSPECIFIED",
    "poolLane": "string",
    "createdAtUnix": 0,
    "finishedAtUnix": 0,
    "result": {
      "jobId": "string",
      "exitCode": 0,
      "termination": "TERMINATION_UNSPECIFIED",
      "stdout": "string",
      "outputs": [
        {
          "name": "string",
          "sha256": "string",
          "size": 0,
          "mime": "string",
          "content": null
        }
      ],
      "kv": {
        "property1": {},
        "property2": {}
      },
      "usage": {
        "cpuMillisUsed": 0,
        "memoryPeakMb": 0,
        "wallMs": 0
      },
      "stderr": "string"
    },
    "spec": {
      "argv": [
        "string"
      ],
      "egress": {
        "egressPolicyId": "string"
      },
      "resources": {
        "cpuMillis": 0,
        "memoryMb": 0,
        "ephemeralMb": 0,
        "pids": 0
      },
      "timeoutSec": 0,
      "workspaceId": "string",
      "stdin": "string",
      "inputs": [
        {
          "path": "string",
          "content": null
        }
      ],
      "outputs": [
        {
          "name": "string",
          "kind": "KIND_UNSPECIFIED",
          "path": "string",
          "maxBytes": 0,
          "required": true,
          "mimeHint": "string"
        }
      ],
      "callback": {
        "endpoint": "string",
        "token": "string"
      },
      "label": "string",
      "env": {
        "property1": "string",
        "property2": "string"
      },
      "adapter": {
        "environmentId": "string",
        "env": {
          "property1": "string",
          "property2": "string"
        },
        "cpuMillis": 0,
        "memoryMb": 0
      },
      "workspaces": [
        {
          "snapshotId": "string",
          "mountPath": "string",
          "readOnly": true,
          "workspaceId": "string",
          "ephemeral": true,
          "ephemeralFromSnapshotId": "string"
        }
      ],
      "workingDir": "string"
    },
    "label": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}